package gregapi.old;

import gregapi.code.ArrayListNoNulls;
import gregapi.data.CS.ConfigsGT;
import gregapi.worldgen.WorldgenObject;
import gregapi.worldgen.Worldgenerator;

import java.util.Collection;

import net.minecraft.block.Block;
import net.minecraft.init.Blocks;

public abstract class GT_Worldgen_Ore extends WorldgenObject {
	public final int mBlockMeta, mAmount, mSize, mMinY, mMaxY, mProbability, mDimensionType;
	public final Block mBlock;
	public final Collection<String> mBiomeList;
	public final boolean mAllowToGenerateinVoid;
	
	public GT_Worldgen_Ore(String aName, boolean aDefault, Block aBlock, int aBlockMeta, int aDimensionType, int aAmount, int aSize, int aProbability, int aMinY, int aMaxY, Collection<String> aBiomeList, boolean aAllowToGenerateinVoid) {
		super(aName, Worldgenerator.sWorldgenList, aDefault);
		mDimensionType	= aDimensionType;
		mBlock			= aBlock==null?Blocks.cobblestone:aBlock;
		mBlockMeta		= Math.min(Math.max(aBlockMeta, 0), 15);
		mProbability	= ConfigsGT.WORLDGEN.get("worldgen."+mWorldGenName, "Probability"	, aProbability);
		mAmount			= ConfigsGT.WORLDGEN.get("worldgen."+mWorldGenName, "Amount"		, aAmount);
		mSize			= ConfigsGT.WORLDGEN.get("worldgen."+mWorldGenName, "Size"			, aSize);
		mMinY			= ConfigsGT.WORLDGEN.get("worldgen."+mWorldGenName, "MinHeight"		, aMinY);
		mMaxY			= ConfigsGT.WORLDGEN.get("worldgen."+mWorldGenName, "MaxHeight"		, aMaxY);
		if (aBiomeList == null) mBiomeList = new ArrayListNoNulls<String>(); else mBiomeList = aBiomeList;
		mAllowToGenerateinVoid = aAllowToGenerateinVoid;
	}
}